[target.xtensa-esp32s3-none-elf]
runner = "espflash flash --monitor --partition-table ./partitions.csv"

[env]
ESP_LOG="info"
ESP_HAL_CONFIG_PLACE_RMT_DRIVER_IN_RAM="true"
ESP_HAL_EMBASSY_CONFIG_TIMER_QUEUE="multiple-integrated"
ESP_WIFI_CONFIG_COUNTRY_CODE="DE"
ESP_RTOS_CONFIG_TICK_RATE_HZ="50"

[build]
rustflags = [
  "-C", "link-arg=-nostartfiles",
  "-Z", "stack-protector=all",
]

target = "xtensa-esp32s3-none-elf"

[unstable]
build-std = ["alloc", "core"]
